Subject: Re: [Detnet] Alissa Cooper's Discuss on draft-ietf-detnet-architecture-11: (with DISCUSS and COMMENT)

From: János Farkas <[email-masked]>
Date: Mon, 25 Mar 2019 17:16:49 +0100

Hi Alissa,

We believe that we have addressed your comments in the most recent 
revision: https://tools.ietf.org/html/draft-ietf-detnet-architecture-12. 
(https://mailarchive.ietf.org/arch/msg/detnet/utVL9ZVGcOeGtRIASRFx5WT_ErM)

Please let us know what else you would like to see done before you clear 
your DISCUSS.

I/we would be happy to meet with you this week if there is anything you 
would like to discuss.

Regards,
Janos

On 2/26/2019 2:20 PM, János Farkas wrote:
> Hi Alissa,
>
> Thank you for your review!
>
> We can replace
> "DetNet is provides a Quality of Service (QoS), and as such, does not
>    directly raise any new privacy considerations."
> with
> "DetNet provides a Quality of Service (QoS), and as such, is not 
> expected to
>    directly raise any new privacy considerations."
>
> I'm not sure what "references to new flow IDs and OAM tags should be 
> removed"?
>
> Could you point to the text that should be changed?
>
> Thank you!
> Janos
>
>
> On 2/20/2019 4:39 PM, Lou Berger wrote:
>>
>>
>> On 2/20/2019 10:25 AM, Alissa Cooper wrote:
>>>
>>>
>>>> On Feb 20, 2019, at 7:17 AM, Lou Berger <[email-masked] 
>>>> <mailto:[email-masked]>> wrote:
>>>>
>>>> Hi Alissa,
>>>>
>>>> Thanks for the comments - see below.
>>>>
>>>> On 2/20/2019 9:54 AM, Alissa Cooper wrote:
>>>>> Alissa Cooper has entered the following ballot position for
>>>>> draft-ietf-detnet-architecture-11: Discuss
>>>>>
>>>>> When responding, please keep the subject line intact and reply to all
>>>>> email addresses included in the To and CC lines. (Feel free to cut 
>>>>> this
>>>>> introductory paragraph, however.)
>>>>>
>>>>>
>>>>> Please refer to 
>>>>> https://www.ietf.org/iesg/statement/discuss-criteria.html
>>>>> for more information about IESG DISCUSS and COMMENT positions.
>>>>>
>>>>>
>>>>> The document, along with other ballot positions, can be found here:
>>>>> https://datatracker.ietf.org/doc/draft-ietf-detnet-architecture/
>>>>>
>>>>>
>>>>>
>>>>> ----------------------------------------------------------------------
>>>>> DISCUSS:
>>>>> ----------------------------------------------------------------------
>>>>>
>>>>> = Section 6 =
>>>>>
>>>>> "DetNet is provides a Quality of Service (QoS), and as such, does not
>>>>>    directly raise any new privacy considerations."
>>>>>
>>>>> This seems like a false statement given the possibility that 
>>>>> DetNet may require
>>>>> novel flow IDs and OAM tags that create additional identification and
>>>>> correlation risk beyond existing fields used to support QoS today.
>>>>
>>>> Based on the other work in the WG, I think "is not expected" is 
>>>> more accurate than "does not". This is based on the WG solutions 
>>>> for the DetNet data plane using existing IP (v4 or 6) headers or 
>>>> MPLS labels for flow identification.
>>>
>>> If that is the case then the references to new flow IDs and OAM tags 
>>> should be removed from the architecture.
>>
>> sounds reasonable.  Can you point to the specific offending text?
>>
>> Thanks,
>>
>> Lou
>>
>>>
>>>>
>>>> Would changing to "is not expected" address your concern?
>>>
>>> Combined with the above removals, that would work for me.
>>>
>>> Thanks,
>>> Alissa
>>>
>>>>
>>>> Thanks,
>>>>
>>>> Lou
>>>
>>>
>>> _______________________________________________
>>> detnet mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/detnet
>